> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-recommendation-system-1.0-deprecated.md).

# API for Recommendation System 1.0 (deprecated)

The Recommendation Engine application API returns cosmetics products for conditions within three main skincare groups: basic care, eye care, and additional care.

{% hint style="warning" %}
The API for Recommendation System 1.0 API is **deprecated** and will no longer receive updates or support.

Developers are strongly encouraged to **migrate to the new** [API for Recommendation System 2.0](/haut.ai/developers/saas-api-overview/api-for-recommendation-system-2.0.md), which offers improved performance, flexibility, and integration with the latest Haut.AI features.
{% endhint %}

Use this application to get cosmetics recommendations to improve skin conditions based on the results of the skin metrics report. The recommendation engine consists of 41 cosmetics products that address skin concerns within three main groups:

* **Basic care**
  * Normal skin
  * Aged skin
  * Dry skin
  * Oily skin
* **Eye care**
  * Eye small wrinkles
  * Eye pronounced wrinkles
  * Eye bags
  * Eye dark circles
* **Additional care**
  * Anti-aging prevention
  * Anti-aging support therapy
  * Anti-aging complex
  * Acne
  * Pigmentation
  * Vessels

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MWxBX_zB4FnflOpyBGO%2Fuploads%2FECT46xbbwoOzmasErNqR%2Fimage.png?alt=media\&token=2bb2a3a4-1838-484d-9d77-1849ad8f9e59)

## Parameters

### **Base URL** <a href="#base-url" id="base-url"></a>

HTTPS: [https://saas.haut.ai/api/v1/companies/{company\_id}/datasets/{dataset\_id}/subjects/{subject\_id}/batches/{batch\_id}/images/{image\_id}/results/](https://hautai.atlassian.net/wiki/spaces/PD/pages/1428586513/Face+application)

Supported Methods: GET

### **Request Parameters** <a href="#request-parameters" id="request-parameters"></a>

| Required Parameters | Description | Type   |
| ------------------- | ----------- | ------ |
| company\_id         |             | string |
| dataset\_id         |             | string |
| subject\_id         |             | string |
| batch\_id           |             | string |
| image\_id           |             | string |

### **Query Parameters** <a href="#query-parameters" id="query-parameters"></a>

| Required Parameters  | Description | Type   |
| -------------------- | ----------- | ------ |
| token                |             | string |
| application\_run\_id |             | string |
| application\_name    |             | string |
| application\_id      |             | string |

### **Example Response (JSON):** <a href="#example-response-json" id="example-response-json"></a>

```javascript
 {'id': 'c796f9ae-a44a-4284-ae80-0461ffc7188c',
  'result': {'products': {'spf': ['2_7'],
    'serum': ['16_5', '25_5'],
    'lotion': ['4_6'],
    'cleanser': ['4_2'],
    'eye_care': ['12_12'],
    'day_cream': [],
    'exfoliation': [],
    'night_cream': ['4_4'],
    'make_up_remover': ['4_1']},
   'care_group': {'eye_care': 'Dark circles',
    'basic_care': 'Oily',
    'additional_care': ['Acne', 'Vessels']}},
  'is_ok': True,
  'image_id': 'c20d21ab-f1d7-447c-9c01-b4b753750461',
  'algorithm_version_id': 56,
  'creation_time': '2021-08-02 11:13:12',
  'application_id': '6d9f3fc2-b8d1-4d79-ad65-f751bec04374',
  'application_name': 'Recommendation Engine',
  'application_description': 'This app will recommend solutions to improve the skin’s condition based on the results of the skin metrics report. The app will detect the skin type and provide you with recommendations on basic skin care, eye care and additional care for any particular concerns. The app will also suggest product types, such as serum, day or night cream, cleanser, etc. You can then use this information to recommend skin care cosmetics from your product line.',
  'application_run_id': '92fe3a28-4d6c-41e3-8d9a-9fe45932bbba',
  'image_type': 'selfie',
  'algorithm_family_tech_name': 'selfie_v2.recommendation_engine'}
```

### **Field description:** <a href="#field-description" id="field-description"></a>

| id                            | Id                                | string \<uuid>                 |
| ----------------------------- | --------------------------------- | ------------------------------ |
| result                        | algorithm result data             | object (Result)                |
| is\_ok                        | algorithm result error status     | boolean (Is ok)                |
| image\_id                     | algorithm result image id         | string \<uuid> (Image id)      |
| algorithm\_version\_id        | algorithm result algo version     | integer (Algorithm version id) |
| creation\_time                | Creation time                     | string \<date-time>            |
| application\_id               | Application id                    | string \<uuid>                 |
| application\_name             | Application name                  | string                         |
| application\_description      | Application description           | string                         |
| application\_run\_id          | Application run id                | string                         |
| image\_type                   | Image type                        | string                         |
| algorithm\_family\_tech\_name | Application family technical name | object (AlgorithmFamily)       |

<table data-header-hidden><thead><tr><th width="223"></th><th width="174">name</th><th width="150">description</th><th width="150">result</th><th>result classification</th></tr></thead><tbody><tr><td></td><td>name</td><td>description</td><td>result</td><td>result classification</td></tr><tr><td>56</td><td>Recommendation Engine</td><td></td><td>str, list</td><td><p>care_group = {basic<em>_</em>care,</p><p>eye_care,</p><p>additional_care}</p><p>products = {serum,</p><p>eye_care,</p><p>exfoliation,</p><p>cleanser,</p><p>day_cream,</p><p>night_cream,</p><p>make_up_remover,</p><p>spf,</p><p>lotion}</p></td></tr></tbody></table>

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-recommendation-system-1.0-deprecated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
